---
updatedAt: 2026-05-20T06:31:35.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Get Withdrawable Amount

Returns total amount that can be withdrawn across all wallets of the user.

You can specify the optional `wallets` parameter to get the total withdrawable amount in specific wallets.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "version": "1.0.0",
    "title": "Staking API",
    "description": "The Blockdaemon Staking API simplifies and streamlines institutional cryptocurrency staking. The API allows developers to interact with blockchain networks and perform various staking-related operations, such as delegating and undelegating tokens, in a single, unified interface.\n\nWith the Staking API, you can quickly and easily build and deploy applications that automate staking activities and increase efficiency in your blockchain operations.",
    "contact": {
      "name": "Blockdaemon",
      "email": "info@blockdaemon.com",
      "url": "https://blockdaemon.com"
    },
    "x-logo": {
      "url": "https://assets-global.website-files.com/633c5e06513fa35f3391a5f9/645d33beb6fa65f6cfb95eb8_BD%20Logo%20Stack%20-%20Purple.svg",
      "backgroundColor": "#fafafa",
      "altText": "Blockdaemon logo"
    }
  },
  "x-readme": {
    "explorer-enabled": false
  },
  "servers": [
    {
      "url": "https://svc.blockdaemon.com/boss"
    }
  ],
  "components": {
    "securitySchemes": {
      "ApiKeyAuth": {
        "description": "When signing up for a staking account, you are provided with an API key.\n\nTo authenticate a Staking API request, pass your API key in the `X-API-Key` header.",
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      }
    },
    "parameters": {
      "NearNetwork": {
        "name": "network",
        "in": "path",
        "description": "NEAR network",
        "required": true,
        "schema": {
          "$ref": "#/components/schemas/NearNetwork"
        }
      },
      "NearWallets": {
        "name": "to",
        "description": "Validator address to query amount for",
        "in": "query",
        "required": false,
        "schema": {
          "type": "string",
          "$ref": "#/components/schemas/NearAddress",
          "description": "Specifies the validator the stake was delegated to."
        }
      },
      "NearTo": {
        "name": "wallets",
        "description": "Array of NEAR wallets",
        "in": "query",
        "required": false,
        "schema": {
          "type": "array",
          "items": {
            "$ref": "#/components/schemas/NearAddress"
          }
        }
      }
    },
    "responses": {
      "InternalServerError": {
        "description": "Internal server error.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      },
      "InvalidRequest": {
        "description": "Invalid request.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "description": "Error response envelope",
              "required": [
                "code",
                "message"
              ],
              "properties": {
                "code": {
                  "type": "integer",
                  "format": "int32",
                  "description": "Error code",
                  "example": 400
                },
                "message": {
                  "type": "string",
                  "description": "Error Message",
                  "example": "Detailed human-readable diagnostic message regarding any invalid request parameters"
                }
              }
            }
          }
        }
      },
      "Unauthorized": {
        "description": "Header 'X-API-Key' missing.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/UnauthorizedError"
            }
          }
        }
      }
    },
    "schemas": {
      "Error": {
        "type": "object",
        "description": "Error response envelope",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "integer",
            "format": "int32",
            "description": "Error code",
            "example": 500
          },
          "message": {
            "type": "string",
            "description": "Error Message",
            "example": "A descriptive error message"
          }
        }
      },
      "UnauthorizedError": {
        "type": "object",
        "description": "Error response envelope",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "integer",
            "format": "int32",
            "description": "Error code",
            "example": 401
          },
          "message": {
            "type": "string",
            "description": "Error Message",
            "example": "A human-readable diagnostic message detailing any authorization failure"
          }
        }
      },
      "NearAddress": {
        "type": "string",
        "description": "Base58 encoded public key or registered named account. [Accounts](https://docs.near.org/concepts/basics/accounts/account-id/).",
        "pattern": "^([a-km-zA-HJ-NP-Z1-9]{22,44})|((([a-z\\d]+[-_])*[a-z\\d]+\\.)*([a-z\\d]+[-_])*[a-z\\d]+)$",
        "example": "alice.near"
      },
      "NearNetwork": {
        "type": "string",
        "description": "NEAR network",
        "enum": [
          "mainnet",
          "testnet",
          "localnet"
        ]
      },
      "NearYocto": {
        "type": "string",
        "description": "Denomination of NEAR Protocol.",
        "pattern": "^[1-9]\\d+$",
        "example": "100000000000000000000000000"
      },
      "WalletAmount": {
        "type": "object",
        "description": "Amount per wallet",
        "required": [
          "wallet",
          "amount",
          "validator"
        ],
        "properties": {
          "wallet": {
            "type": "string"
          },
          "amount": {
            "type": "string",
            "pattern": "^[1-9]\\d+$"
          },
          "validator": {
            "type": "string"
          }
        }
      },
      "NearProtocol": {
        "type": "string",
        "description": "Near protocol",
        "enum": [
          "near"
        ]
      },
      "NearWithdrawableAmount": {
        "type": "object",
        "description": "Result of the get withdrawable amount",
        "required": [
          "protocol",
          "network",
          "amount",
          "currency"
        ],
        "properties": {
          "protocol": {
            "$ref": "#/components/schemas/NearProtocol"
          },
          "network": {
            "$ref": "#/components/schemas/NearNetwork"
          },
          "currency": {
            "$ref": "#/components/schemas/NearYocto"
          },
          "amount": {
            "type": "string",
            "pattern": "^[1-9]\\d+$",
            "example": "123456"
          },
          "wallets": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/WalletAmount"
            }
          }
        }
      }
    }
  },
  "security": [
    {
      "ApiKeyAuth": []
    }
  ],
  "paths": {
    "/v1/near/{network}/withdrawable-amount": {
      "parameters": [
        {
          "$ref": "#/components/parameters/NearNetwork"
        },
        {
          "$ref": "#/components/parameters/NearTo"
        },
        {
          "$ref": "#/components/parameters/NearWallets"
        }
      ],
      "get": {
        "summary": "Get Withdrawable Amount",
        "operationId": "getNearWithdrawableAmount",
        "tags": [
          "NEAR"
        ],
        "description": "Returns total amount that can be withdrawn across all wallets of the user.\n\nYou can specify the optional `wallets` parameter to get the total withdrawable amount in specific wallets.",
        "responses": {
          "200": {
            "description": "Ok",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/NearWithdrawableAmount"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/InvalidRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          }
        },
        "security": [
          {
            "ApiKeyAuth": []
          }
        ]
      }
    }
  },
  "tags": [
    {
      "name": "NEAR",
      "description": "Near endpoints"
    }
  ]
}
```